// ArrayObject.h : Declaration of the CArrayObject

#ifndef __ARRAYOBJECT_H_
#define __ARRAYOBJECT_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CArrayObject
class ATL_NO_VTABLE CArrayObject : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CArrayObject, &CLSID_ArrayExample>,
	public IDispatchImpl<IArrayExample, &IID_IArrayExample, &LIBID_SADEMOLib>
{
public:
	CArrayObject()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_ARRAYOBJECT)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CArrayObject)
	COM_INTERFACE_ENTRY(IArrayExample)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IArrayExample
public:
	STDMETHOD(getListFromEnterprise)(/*[in]*/ BSTR bstrEnterpriseName, /*[out]*/ VARIANT* pStoreList);
};

#endif //__ARRAYOBJECT_H_
